Package oracle.jdbc.diagnostics

## Enum SecurityLabel

- java.lang.Object
- - java.lang.Enum<SecurityLabel>
  - - oracle.jdbc.diagnostics.SecurityLabel

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SecurityLabel>`

    public enum SecurityLabel
    extends java.lang.Enum<SecurityLabel>

Trace files may contain sensitive information like keys, passwords and memory dumps containing customer data, sql text with table, schema, host names.

Trace files are transferable from customer systems to Oracle network. Therefore, there is chance of leakage of sensitive information. Customer have concerns with their private information leaking through diagnostics.

The mitigation is by classifying trace content and specifying governance and data-use policies.

### Enum Constant Summary

Enum Constants
`ALGORITHM` Written by customers that don't contain data
`CONFIG` Host Names, IP Addresses, Directory Info, Config Usernames
`DATA` User Data, Block dumps
`INTERNAL` Internal to Oracle code or running instance
`KEYS` Encryption keys, passwords
`METADATA` Table names, index names, user program names
`PROGRAM` Written by customers may contain user data, SQL statements
`SLIGHT_DATA` Slight amounts of User Data
`STATIC` Fixed string with no args
`UNKNOWN` Unknown content

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()`
`char` `getLabel()`
`java.lang.String` `getLabelName()`
`static SecurityLabel` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SecurityLabel[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### KEYS

    public static final SecurityLabel KEYS

Encryption keys, passwords

#### DATA

    public static final SecurityLabel DATA

User Data, Block dumps

#### UNKNOWN

    public static final SecurityLabel UNKNOWN

Unknown content

#### SLIGHT_DATA

    public static final SecurityLabel SLIGHT_DATA

Slight amounts of User Data

#### PROGRAM

    public static final SecurityLabel PROGRAM

Written by customers may contain user data, SQL statements

#### ALGORITHM

    public static final SecurityLabel ALGORITHM

Written by customers that don't contain data

#### CONFIG

    public static final SecurityLabel CONFIG

Host Names, IP Addresses, Directory Info, Config Usernames

#### METADATA

    public static final SecurityLabel METADATA

Table names, index names, user program names

#### INTERNAL

    public static final SecurityLabel INTERNAL

Internal to Oracle code or running instance

#### STATIC

    public static final SecurityLabel STATIC

Fixed string with no args

### Method Detail

#### values

    public static SecurityLabel[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SecurityLabel c : SecurityLabel.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SecurityLabel valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getLabel

    public char getLabel()

#### getLabelName

    public java.lang.String getLabelName()

#### getDescription

    public java.lang.String getDescription()